local curstage = GAMESTATE:GetCurrentStage()
local stagenum = GAMESTATE:GetStageIndex()

local gfxNames = {
	Stage_Extra1="bonus";
	Stage_Extra2="bonus";
	Stage_Demo="stage1";
	Stage_Event="event";
};

local stage = gfxNames[curstage]
if not stage then
	stage = "blank"
	if stagenum < 3 then
		stage = "stage"..stagenum+1
	end
	if GAMESTATE:GetSmallestNumStagesLeftForAnyHumanPlayer() == 1 and not IsEventMode() then
		stage = "final"
	end
end

return LoadActor(stage)..{}